package com.ruoyi.common.core.domain.model;

/**
 * 用户注册对象
 * 
 * @author voluntary
 */
public class RegisterBody extends LoginBody
{
    private String name;
    private String sex;//用户性别（0男 1女 2未知）
    private String provinceName;
    private String customSchoolName;
    private String customClassName;
    private Long schoolId;
    private Long gradeId;
    private Long classId;
    private Integer year;
    private Integer gaokaoYear;
    private String examType;
    private String examMajor;


    //选科组合mode: 物理,化学,生物
    private String mode;

    private Integer score;
    private Boolean isValidPhone=true;

    public String getExamMajor() {
        return examMajor;
    }

    public void setExamMajor(String examMajor) {
        this.examMajor = examMajor;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public String getCustomSchoolName() {
        return customSchoolName;
    }

    public void setCustomSchoolName(String customSchoolName) {
        this.customSchoolName = customSchoolName;
    }

    public String getCustomClassName() {
        return customClassName;
    }

    public void setCustomClassName(String customClassName) {
        this.customClassName = customClassName;
    }

    public Integer getGaokaoYear() {
        return gaokaoYear;
    }

    public void setGaokaoYear(Integer gaokaoYear) {
        this.gaokaoYear = gaokaoYear;
    }

    public Boolean getValidPhone() {
        return isValidPhone;
    }

    public void setValidPhone(Boolean validPhone) {
        isValidPhone = validPhone;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getGradeId() {
        return gradeId;
    }

    public void setGradeId(Long gradeId) {
        this.gradeId = gradeId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
}
